1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

MG 1.1 Installed XenGallery - Problems now started

Discussion in 'Media Gallery Support' started by BrokenChaos, Jan 10, 2016.

  1. BrokenChaos

    BrokenChaos Member

    I installed a few extensions, one of them be XenCentral as I needed a rating system
    Everything is working 100% spot on

    Then I decided to spend some hard earned dollars on XenGallery and now the ACP is throwing up errors
    1. Fatal Error: Class 'XenCentral_Trade_Model_Abstract' not found Today at 1:06 AM - library/XenCentral/Trade/Model/Options.php:13
    2. Delete...
      Fatal Error: Class 'XenCentral_Framework_Install' not found Today at 12:35 AM - library/XenCentral/Trade/Install.php:13
    3. Delete...
      Fatal Error: Class 'XenCentral_Framework_Install' not found Today at 12:35 AM - library/XenCentral/Trade/Install.php:13
    I Contacted XenForo support on the matter and was told to instead contact XenCentral
    (I expect having to play ping pong now)
    I cant access ANY functionality of XenGallery in the ACP, so I am now stuck with Widgets that I dont want on my forum front end.

    So while I wait for XenCentral to offer support that XenForo passed the buck on (they can help me if they really wanted too... you know, help a customer who has spent money on their product)... has somebody experienced the same issue and have a solution?

    It also said that I had OUTDATED templates and I should MERGE them.. I have no idea what to do as I am just a forum purchaser/user and not a xenforo techie...
  2. Mike

    Mike XenForo Developer Staff Member

    I've responded to your ticket again. There is no buck passing.

    The error messages you presented are related to XenCentral and only they can help with those.
  3. whynot

    whynot Well-Known Member

    When you login to your ACP you will face warnings, follow the instructions there.(Merge)
  4. wang

    wang Well-Known Member

    If you look closely to the error messages, you will see that they mention XenXentral and not the media gallery. Can you disable that add on in meanwhile until its developer can look into it? And I do not think that Xenforo Staff will pass the buck to anyone. From what I have seen here, they are very helpful and professional.

    In regard to the outdated templates, is your custom style compatible with the version of Xenforo that you are using?
  5. BrokenChaos

    BrokenChaos Member

    I did that.. it wont let me merge anything...
    Im new at Xenforo, having gone from IPB which had no real extensions, to VB5 that had even worse extension development and now to XenForo and am being told to work it out myself...
    IPB and VB5 are easy enough to work out and with all due respect, so is Xenforo, except for this dillema, which I have no idea what to do, except talk to that guy who does that, because our extension when installed, created x issue....

    If XenCentral is causing issues with XenGallery which is an official extension, then why is XenCentral allowed to submit their extension if its known to fail at least in this instance?

    I recently did a forum import and have been working day and night to get everything fixed and sorted out for my members... So if I am upset... its because I am.... I just want a working forum....

    I am using UI.X and have purchased both the standard and dark version... Excellent templates... Perhaps the issue is with their templates... ???
    Last edited: Jan 10, 2016
  6. Chris D

    Chris D XenForo Developer Staff Member

    No one has told you to work it out yourself.

    We've advised a solution (merge templates) and you've only just told us that it doesn't work so we can go from there.

    Please start a new thread in the XenForo Questions & Support about the outdated template issue. Include details of the style you are using (and version) and XF version you are using and explain what the error is when you try to merge. This will help this thread stay focused on the gallery issue.

    With regards to the gallery issue do these errors keep occurring? Does doing anything particular with the gallery trigger them to happen? At this stage, although Xen Central will be able to confirm in more detail, I can't see why the Gallery would cause errors in the installation system of Xen Central. Are you sure these aren't old errors? Are you certain the gallery triggered them? (Sorry if you have provided that detail elsewhere, I haven't read your ticket yet).
  7. BrokenChaos

    BrokenChaos Member

    The errors which only occured when I installed XenGallery are as follows:
    1. Fatal Error: Class 'XenCentral_Trade_Model_Abstract' not found Today at 1:06 AM - library/XenCentral/Trade/Model/Options.php:13
    2. Delete...
      Fatal Error: Class 'XenCentral_Framework_Install' not found Today at 12:35 AM - library/XenCentral/Trade/Install.php:13
    3. Delete...
      Fatal Error: Class 'XenCentral_Framework_Install' not found Today at 12:35 AM - library/XenCentral/Trade/Install.php:13

    I tried to AUTO MERGE as directed ... didnt work... I then tried to do it manually with the same failed result

    This is the details of the Outdated Templates screen

    Until the XenGallery installation, everything was working super and I was very satisfied with Xenforo (still am)...
    I still have a few hundred dollars I need to spend on extensions, but until I get this sorted out, I am stuck.. as I dont want to proceed until I resolve this issue...
  8. Chris D

    Chris D XenForo Developer Staff Member

    I don't want this to come across as rude but this will take a lot longer to sort out if you don't answer questions asked by people trying to help.

    In my last post I asked a number of questions and really you only answered one. I asked about versions and whether the errors happened once or if they are still occurring etc.

    My thought process at the moment is because the errors seem to be happening in the Xen Central installer are you certain they were logged as a result of you installing the gallery or since you installed the gallery? Are the errors still happening now? Another thought is they may have happened once and may never happen again and if things are working fine (as stated the templates thing is a totally separate issue) then the errors may be safe to ignore.

    Template issue:

    What version of the UIX style are you running? What version of XenForo Media Gallery do you have installed? What version of XenForo?
  9. BrokenChaos

    BrokenChaos Member

    Last edited: Jan 10, 2016
  10. Chris D

    Chris D XenForo Developer Staff Member

    I'm not on my mobile now so I have looked into things in more detail and logged on to your Admin CP with the credentials supplied in the ticket.

    The errors were logged (this is based on UTC timezone that the admin account has) Yesterday 5:35 pm and Yesterday 6:06 pm. However, the Gallery add-on wasn't actually installed until Today at 2:59 am.

    This means that those errors were already there when the gallery was installed and therefore nothing to do with the gallery. Reporting them to Xen Central and waiting for a response from them is the best thing to do here.

    With regards to the outdated templates, if you have not made any changes to the templates yourself, then it may be something that your style author needs to advise on. Outdated templates on custom styles are not uncommon and often easily resolved, but the specifics of resolving them may well depend on the custom style itself.

    With that in mind, you should contact @Mike Creuzer and / or post here for help with that: https://xenforo.com/community/threads/ui-x-paid.57944/
  11. Chris D

    Chris D XenForo Developer Staff Member

    I should probably add: there's nothing here concerning enough to stop you from doing what you need to do. All of these issues are "minor" to the point of being "non-issues" really. Everything currently appears to be working fine, so you should be safe to continue doing what you need to do on your site to get it finished.
    Mike Creuzer likes this.
  12. Mike Creuzer

    Mike Creuzer Well-Known Member

    Like Chris said, nothing major. And these issues with UI.X are normal, every now and again templates get outdated. Or perhaps you installed the wrong version. Make sure to check that. UI.X works with almost every third point release, and of course second point as well. So look at the 1.X.Y number and if that doesn't match up with UI.X's 1.X.Y.Z there may be a better version to install.

    And as always if you have any questions with the theme or templates, please feel free to contact us at our site.

Share This Page